Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus.xml
Class OperationalStatusMonitorKeyXmlTranslator

    java.lang.Object
      com.sun.management.oss.impl.pm.opstatus.xml.OperationalStatusMonitorKeyXmlTranslator

public class OperationalStatusMonitorKeyXmlTranslator
extends java.lang.Object

Constructor Summary
`OperationalStatusMonitorKeyXmlTranslator()`

Method Summary
`static java.lang.Object` | `fromXml(org.w3c.dom.Element element, java.lang.String type)`
`static void` | `fromXmlNoRoot(org.jdom.Element element, OperationalStatusMonitorKey performKey)` anyURI
`static java.lang.String` | `toXml(OperationalStatusMonitorKey performKey, java.lang.String elementName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationalStatusMonitorKeyXmlTranslator

    public OperationalStatusMonitorKeyXmlTranslator()

Method Detail

### toXml

    public static java.lang.String toXml(OperationalStatusMonitorKey performKey,
                                         java.lang.String elementName)

### fromXml

    public static java.lang.Object fromXml(org.w3c.dom.Element element,
                                           java.lang.String type)
                                    throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### fromXmlNoRoot

    public static void fromXmlNoRoot(org.jdom.Element element,
                                     OperationalStatusMonitorKey performKey)
                              throws org.xml.sax.SAXException,
                                     java.text.ParseException

  anyURI

  Throws:
    `org.xml.sax.SAXException`
    `java.text.ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD